Package twisted :: Package spread :: Module util :: Class FilePager

[frames | no frames]

## Class FilePager

    Pager --+
            |
           FilePager

Reads a file in chunks and sends the chunks as they come.

Method Summary
| `__init__(self, collector, fd, callback, *args, **kw)`
| `registerProducer(self, producer, streaming)`
| ``sendNextPage`(self)` (internal) Method called by Broker.
| `startProducing(self, fd)`
| `unregisterProducer(self)`
| `write(self, chunk)`
Inherited from Pager
| ``nextPage`(self)` Override this to return an object to be sent to my collector.
| ``stillPaging`(self)` (internal) Method called by Broker.
| ``stopPaging`(self)` Call this when you're done paging.

Class Variable Summary
`class` | `__implements__` = `twisted.internet.interfaces.IConsumer`

Method Details

### sendNextPage(self)

(internal) Method called by Broker.

  Overrides:
    `twisted.spread.util.Pager.sendNextPage` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:52 2004 | http://epydoc.sf.net